This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 816020 - It'll return "success" while start or stop an embedded cartridge which does not exist
It'll return "success" while start or stop an embedded cartridge which does n...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 01:02 EDT by bzhao
Modified: 2015-05-14 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 13:30:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-04-25 01:02:16 EDT
Description of problem:
The description of the output result isn't incorrect Whhile start or stop an embedded cartridge which does not exist

Version-Release number of selected component (if applicable):
rhc-0.91.8-1.el6_2.noarch
cartridge-rockmongo-1.1-1.8.5-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1.Create an app of php type
# rhc-create-app -t php-5.3 -a phptest -p xx
2.Start rockmongo which doesn't exist
# rhc-ctl-app -a phptest -p xx -e start-rockmongo-1.1
3.Stop rockmongo which doesn't exist
# rhc-ctl-app -a phptest -p xx -e stop-rockmongo-1.1
  
Actual results:
The description of the output result is always return "success"

Expected results:
The output messages should be "rockmongo does not exist" or the others .
all in all, we should explain clearly that current embedded cartridge doesn't exist.

Additional info:
Notes:
I tested all embedded cartridges, all of them have the same problems
Comment 1 John (J5) Palmieri 2012-07-12 15:24:37 EDT
Please use the "rhc" commands when filing bugs.  In this case rhc app cartridge start -c rockmongo-1.1

The result is the same otherwise.  Broker is sending us back a 200 Success.  Reassigning to broker.  Note that os-client-tools cucumber tests need to be fixed to reflect this change.
Comment 2 Abhishek Gupta 2012-07-16 23:34:23 EDT
Fixed in the broker. Assigning to J5 to fix cucumber tests in the CLI tools accordingly.

Note You need to log in before you can comment on or make changes to this bug.